package cn.gov.customs.wxjy.analyze.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.analyze.pojo.NewDeclaredGoods;
import cn.gov.customs.wxjy.analyze.pojo.NewDeclaredGoodsQuery;

/**
 * 新申报商品提示Mapper接口
 *
 * @author xiong
 * @date 2025-12-04
 */
@Mapper
public interface NewDeclaredGoodsMapper {
    /**
     * 查询新申报商品提示
     *
     * @param ID 新申报商品提示主键
     * @return 新申报商品提示
     */
    public NewDeclaredGoods selectByID(String ID);

    /**
     * 查询新申报商品提示列表
     *
     * @param newDeclaredGoods 新申报商品提示
     * @return 新申报商品提示集合
     */
    public List<NewDeclaredGoods> selectList(NewDeclaredGoodsQuery newDeclaredGoods);

    /**
     * 新增新申报商品提示
     *
     * @param newDeclaredGoods 新申报商品提示
     * @return 结果
     */
    public int insert(NewDeclaredGoods newDeclaredGoods);

    /**
     * 修改新申报商品提示
     *
     * @param newDeclaredGoods 新申报商品提示
     * @return 结果
     */
    public int update(NewDeclaredGoods newDeclaredGoods);

    /**
     * 删除新申报商品提示
     *
     * @param ID 新申报商品提示主键
     * @return 结果
     */
    public int deleteByID(String ID);

    /**
     * 批量删除新申报商品提示
     *
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIDs(String[] IDs);

    /**
     * 逻辑删除新申报商品提示
     *
     * @param ID 新申报商品提示主键
     * @return 结果
     */
    public int logicDelete(String ID);
}
